Holger's Java API

## com.antelmann.image
Class TwainConnector

    java.lang.Object
      com.antelmann.image.TwainConnector

    @NativeCode
    @ThirdParty(value="uses www.twainconnect.com libraries")
    public class TwainConnector

extends Object

uses TwainConnect (www.twainconnect.com) to conveniently obtain an image from a TWAIN source

Author:
  Holger Antelmann

Constructor Summary
`TwainConnector()`

Method Summary
`static BufferedImage` `acquireImage()`
`static BufferedImage` `acquireImage(Component parent)`
`static BufferedImage` `acquireImage(Component parent, String twainSource)`
`static BufferedImage` `acquireImage(String twainSource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TwainConnector

    public TwainConnector()

Method Detail

### acquireImage

    public static BufferedImage acquireImage()

### acquireImage

    public static BufferedImage acquireImage(Component parent)
                                      throws RuntimeException

  Throws:
    `RuntimeException`

### acquireImage

    public static BufferedImage acquireImage(String twainSource)
                                      throws RuntimeException

  Throws:
    `RuntimeException`

### acquireImage

    public static BufferedImage acquireImage(Component parent,
                                             String twainSource)
                                      throws RuntimeException

  Throws:
    `RuntimeException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads